#!/bin/sh
#
# build list of successfuly processed files
#
# $1 is file name list
# $2 is a process flag ("RM" "CI")
# $3 is a temp file pathname
#

LIST="$1"
FLAG="$2"
TMPFILE="$3"

echo "" > $TMPFILE

#list successfuly removed files
if [ "$FLAG" = "RM" ]; then
	for PN in $LIST
	do
	    if [ -f $PN -o -d $PN ]; then
		:
	    else
		echo $PN >> $TMPFILE
	    fi
	done
	exit 0
fi

#list successfuly checked in files
if [ "$FLAG" = "CI" ]; then
	for PN in $LIST
	do
	    CI=`cleartool lsco -short -me -cview $PN`
	    if [ "$CI" = "" ]; then
		echo $PN >> $TMPFILE
	    fi
	done
	exit 0
fi

exit 1
